import { defineStore } from "pinia"
import { reactive } from 'vue'

export const useHandlerStore = defineStore(
  "handler",
  () => {
    const handler = reactive({
      data: null,
    });

    // 保存事件信息
    function setHandlerData(data) {
      handler.data = data;
    }
    
    // 清空事件信息
    function clearHandlerData() {
      handler.data = null;
    }

    return {
      handler,
      setHandlerData,
      clearHandlerData,
    };
  },
  {
    unistorage: true, // 开启后对 state 的数据读写都将持久化
  },
);